/*!
 * vue-form-builder-for-bootstrap-4 v0.0.9
 * (c) Aubrion pierre
 * Released under the ISC License.
 */
'use strict';

var vue = require('vue');

var script = {
  props: {
    error: {
      required: false
    },
    config: {
      required: false,
      type: Object
    },
    value: {
      required: false
    },
    name: {
      required: false
    },
    label: {
      required: false,
      "default": ' '
    },
    required: {
      required: false
    },
    readOnly: {
      required: false
    },
    placeholder: {
      required: false
    },
    id: {
      required: false
    }
  },
  data: function data() {
    return {};
  },
  computed: {
    val: {
      get: function get() {
        return this.value;
      },
      set: function set(value) {
        this.$emit('input', value);
      }
    },
    getError: function getError() {
      return this.error;
    },
    haveError: function haveError() {
      return this.error;
    }
  },
  created: function created() {
    //init les config particuliere
    if (this.config) {
      for (var key in this.config) {
        this.$set(this, key, this.config[key]);
      }
    }
  }
};

var _hoisted_1 = {
  "class": "form-group"
};
var _hoisted_2 = {
  key: 0,
  "class": "text-danger"
};
function render(_ctx, _cache, $props, $setup, $data, $options) {
  return vue.openBlock(), vue.createBlock("div", _hoisted_1, [vue.createVNode("label", {
    "for": $props.id,
    "class": "text-capitalize"
  }, [vue.createTextVNode(vue.toDisplayString($props.label) + " ", 1
  /* TEXT */
  ), $props.required ? (vue.openBlock(), vue.createBlock("span", _hoisted_2, "*")) : vue.createCommentVNode("v-if", true)], 8
  /* PROPS */
  , ["for"]), vue.withDirectives(vue.createVNode("input", {
    type: "text",
    "class": ["form-control", {
      'is-invalid': $options.haveError
    }],
    id: $props.id,
    "onUpdate:modelValue": _cache[1] || (_cache[1] = function ($event) {
      return $options.val = $event;
    }),
    name: $props.name,
    placeholder: $props.placeholder,
    required: $props.required,
    readOnly: $props.readOnly
  }, null, 10
  /* CLASS, PROPS */
  , ["id", "name", "placeholder", "required", "readOnly"]), [[vue.vModelText, $options.val]]), $options.haveError ? (vue.openBlock(), vue.createBlock("span", {
    key: 0,
    id: $props.id + '-error',
    "class": "error invalid-feedback"
  }, vue.toDisplayString($options.getError), 9
  /* TEXT, PROPS */
  , ["id"])) : vue.createCommentVNode("v-if", true)]);
}

script.render = render;

var script$1 = {
  props: {
    error: {
      required: false
    },
    config: {
      required: false,
      type: Object
    },
    value: {
      required: false
    },
    name: {
      required: false
    },
    label: {
      required: false,
      "default": ' '
    },
    required: {
      required: false
    },
    readOnly: {
      required: false
    },
    id: {
      required: false
    },
    empty: {
      required: false
    },
    options: {
      required: true
    }
  },
  data: function data() {
    return {};
  },
  computed: {
    val: {
      get: function get() {
        return this.value;
      },
      set: function set(value) {
        this.$emit('input', value);
      }
    },
    getError: function getError() {
      return this.error;
    },
    haveError: function haveError() {
      return this.error;
    },
    getOptions: function getOptions() {
      if (this.options) {
        return this.options;
      } //on pourras faire en sorte de passer une url pour egt les datas plus tard

    }
  },
  created: function created() {
    //init les config particuliere
    if (this.config) {
      for (var key in this.config) {
        this.$set(this, key, this.config[key]);
      }
    }
  }
};

var _hoisted_1$1 = {
  "class": "form-group"
};
var _hoisted_2$1 = {
  key: 0,
  "class": "text-danger"
};
var _hoisted_3 = {
  key: 0,
  value: ""
};
function render$1(_ctx, _cache, $props, $setup, $data, $options) {
  return vue.openBlock(), vue.createBlock("div", _hoisted_1$1, [vue.createVNode("label", {
    "for": $props.id,
    "class": "text-capitalize"
  }, [vue.createTextVNode(vue.toDisplayString($props.label) + " ", 1
  /* TEXT */
  ), $props.required ? (vue.openBlock(), vue.createBlock("span", _hoisted_2$1, "*")) : vue.createCommentVNode("v-if", true)], 8
  /* PROPS */
  , ["for"]), vue.withDirectives(vue.createVNode("select", {
    name: $props.name,
    id: $props.id,
    "onUpdate:modelValue": _cache[1] || (_cache[1] = function ($event) {
      return $options.val = $event;
    }),
    "class": ["form-control", {
      'is-invalid': $options.haveError
    }],
    required: $props.required
  }, [$props.empty ? (vue.openBlock(), vue.createBlock("option", _hoisted_3, vue.toDisplayString($props.empty), 1
  /* TEXT */
  )) : vue.createCommentVNode("v-if", true), (vue.openBlock(true), vue.createBlock(vue.Fragment, null, vue.renderList($options.getOptions, function (item, key) {
    return vue.openBlock(), vue.createBlock("option", {
      value: key,
      key: key
    }, vue.toDisplayString(item), 9
    /* TEXT, PROPS */
    , ["value"]);
  }), 128
  /* KEYED_FRAGMENT */
  ))], 10
  /* CLASS, PROPS */
  , ["name", "id", "required"]), [[vue.vModelSelect, $options.val]]), $options.haveError ? (vue.openBlock(), vue.createBlock("span", {
    key: 0,
    id: $props.id + '-error',
    "class": "error invalid-feedback"
  }, vue.toDisplayString($options.getError), 9
  /* TEXT, PROPS */
  , ["id"])) : vue.createCommentVNode("v-if", true)]);
}

script$1.render = render$1;

var script$2 = {
  props: ['item', 'value', 'errors'],
  computed: {
    val: {
      get: function get() {
        if (this.value === true || this.value === '1') {
          return '1';
        }

        return '0';
      },
      set: function set(value) {
        this.$emit('input', value);
      }
    },
    getError: function getError() {
      return this.errors[this.item.name][0];
    },
    haveError: function haveError() {
      return this.errors && typeof this.errors[this.item.name] != 'undefined';
    }
  },
  created: function created() {
    this.id = this.item.type + '-' + Math.floor(Math.random() * 100000000);
  }
};

var _hoisted_1$2 = {
  "class": "custom-control custom-checkbox"
};
var _hoisted_2$2 = {
  key: 0,
  "class": "text-danger"
};
function render$2(_ctx, _cache, $props, $setup, $data, $options) {
  return vue.openBlock(), vue.createBlock("div", _hoisted_1$2, [vue.withDirectives(vue.createVNode("input", {
    type: "checkbox",
    "class": ["custom-control-input", {
      'is-invalid': $options.haveError
    }],
    id: _ctx.id,
    "onUpdate:modelValue": _cache[1] || (_cache[1] = function ($event) {
      return $options.val = $event;
    }),
    name: $props.item.name,
    placeholder: $props.item.placeholder,
    required: $props.item.required,
    readOnly: $props.item.readOnly,
    "true-value": "1",
    "false-value": "0"
  }, null, 10
  /* CLASS, PROPS */
  , ["id", "name", "placeholder", "required", "readOnly"]), [[vue.vModelCheckbox, $options.val]]), vue.createVNode("label", {
    "for": _ctx.id,
    "class": "text-capitalize custom-control-label"
  }, [vue.createTextVNode(vue.toDisplayString($props.item.label) + " ", 1
  /* TEXT */
  ), $props.item.required ? (vue.openBlock(), vue.createBlock("span", _hoisted_2$2, "*")) : vue.createCommentVNode("v-if", true)], 8
  /* PROPS */
  , ["for"]), $options.haveError ? (vue.openBlock(), vue.createBlock("span", {
    key: 0,
    id: _ctx.id + '-error',
    "class": "error invalid-feedback"
  }, vue.toDisplayString($options.getError), 9
  /* TEXT, PROPS */
  , ["id"])) : vue.createCommentVNode("v-if", true)]);
}

script$2.render = render$2;

var script$3 = {
  props: {
    options: {
      required: true,
      type: Array
    },
    errors: {
      required: false
    },
    item: {
      required: false,
      type: Object
    },
    value: {
      required: false
    }
  },
  data: function data() {
    return {
      type: 'radio',
      id: null,
      name: null,
      label: false
    };
  },
  computed: {
    val: {
      get: function get() {
        return this.value;
      },
      set: function set(value) {
        this.$emit('input', value);
      }
    },
    getError: function getError() {
      return this.errors[this.item.name][0];
    },
    haveError: function haveError() {
      return this.errors && typeof this.errors[this.item.name] != 'undefined';
    }
  },
  created: function created() {
    this.id = this.type + '-' + Math.floor(Math.random() * 100000000);
    this.name = this.id;

    for (var key in this.item) {
      this[key] = this.item[key];
    }
  }
};

var _hoisted_1$3 = {
  key: 0,
  "for": ""
};
var _hoisted_2$3 = {
  "class": "flex-fill"
};
var _hoisted_3$1 = {
  key: 0,
  "class": "invalid-feedback text-danger d-block"
};
function render$3(_ctx, _cache, $props, $setup, $data, $options) {
  return vue.openBlock(), vue.createBlock("div", null, [vue.createVNode("div", null, [$data.label ? (vue.openBlock(), vue.createBlock("label", _hoisted_1$3, vue.toDisplayString($data.label), 1
  /* TEXT */
  )) : vue.createCommentVNode("v-if", true)]), vue.createVNode("div", _hoisted_2$3, [(vue.openBlock(true), vue.createBlock(vue.Fragment, null, vue.renderList($props.options, function (option, index) {
    return vue.openBlock(), vue.createBlock("div", {
      "class": "form-check form-check-inline",
      key: index
    }, [vue.withDirectives(vue.createVNode("input", {
      "class": ["form-check-input", {
        'is-invalid': $options.haveError
      }],
      type: "radio",
      "onUpdate:modelValue": _cache[1] || (_cache[1] = function ($event) {
        return $options.val = $event;
      }),
      id: 'radio_' + option.value,
      name: $data.name,
      value: option.value
    }, null, 10
    /* CLASS, PROPS */
    , ["id", "name", "value"]), [[vue.vModelRadio, $options.val]]), vue.createVNode("label", {
      "class": "form-check-label",
      "for": 'radio_' + option.value
    }, vue.toDisplayString(option.libelle), 9
    /* TEXT, PROPS */
    , ["for"])]);
  }), 128
  /* KEYED_FRAGMENT */
  )), $options.haveError ? (vue.openBlock(), vue.createBlock("div", _hoisted_3$1, vue.toDisplayString($options.getError), 1
  /* TEXT */
  )) : vue.createCommentVNode("v-if", true)])]);
}

script$3.render = render$3;

var script$4 = {
  props: {
    errors: {
      required: false
    },
    item: {
      required: false,
      type: Object
    },
    value: {
      required: false
    }
  },
  data: function data() {
    return {
      type: 'number',
      label: false,
      name: null,
      required: false,
      placeholder: null,
      readOnly: false,
      min: false,
      max: false,
      step: 1
    };
  },
  computed: {
    val: {
      get: function get() {
        return this.value;
      },
      set: function set(value) {
        this.$emit('input', value);
      }
    },
    getError: function getError() {
      return this.errors[this.item.name][0];
    },
    haveError: function haveError() {
      return this.errors && typeof this.errors[this.item.name] != 'undefined';
    }
  },
  created: function created() {
    this.id = this.type + '-' + Math.floor(Math.random() * 100000000);
    this.name = this.id;

    for (var key in this.item) {
      this[key] = this.item[key];
    }
  }
};

var _hoisted_1$4 = {
  "class": "form-group"
};
var _hoisted_2$4 = {
  key: 0,
  "class": "text-danger"
};
function render$4(_ctx, _cache, $props, $setup, $data, $options) {
  return vue.openBlock(), vue.createBlock("div", _hoisted_1$4, [$data.label ? (vue.openBlock(), vue.createBlock("label", {
    key: 0,
    "for": _ctx.id,
    "class": "text-capitalize"
  }, [vue.createTextVNode(vue.toDisplayString($data.label) + " ", 1
  /* TEXT */
  ), $data.required ? (vue.openBlock(), vue.createBlock("span", _hoisted_2$4, "*")) : vue.createCommentVNode("v-if", true)], 8
  /* PROPS */
  , ["for"])) : vue.createCommentVNode("v-if", true), vue.withDirectives(vue.createVNode("input", {
    type: "number",
    min: $data.min,
    max: $data.max,
    step: $data.step,
    "class": ["form-control", {
      'is-invalid': $options.haveError
    }],
    id: _ctx.id,
    "onUpdate:modelValue": _cache[1] || (_cache[1] = function ($event) {
      return $options.val = $event;
    }),
    name: $data.name,
    placeholder: $data.placeholder,
    required: $data.required,
    readOnly: $data.readOnly
  }, null, 10
  /* CLASS, PROPS */
  , ["min", "max", "step", "id", "name", "placeholder", "required", "readOnly"]), [[vue.vModelText, $options.val]]), $options.haveError ? (vue.openBlock(), vue.createBlock("span", {
    key: 1,
    id: _ctx.id + '-error',
    "class": "error invalid-feedback"
  }, vue.toDisplayString($options.getError), 9
  /* TEXT, PROPS */
  , ["id"])) : vue.createCommentVNode("v-if", true)]);
}

script$4.render = render$4;

var script$5 = {
  props: {
    error: {
      required: false
    },
    config: {
      required: false,
      type: Object
    },
    value: {
      required: false
    },
    name: {
      required: false
    },
    required: {
      required: false
    },
    id: {
      required: false
    }
  },
  computed: {
    val: {
      get: function get() {
        return this.value;
      },
      set: function set(value) {
        this.$emit('input', value);
      }
    }
  },
  created: function created() {
    //init les config particuliere
    if (this.config) {
      for (var key in this.config) {
        this.$set(this, key, this.config[key]);
      }
    }
  }
};

var _hoisted_1$5 = {
  "class": "form-group"
};
function render$5(_ctx, _cache, $props, $setup, $data, $options) {
  return vue.openBlock(), vue.createBlock("div", _hoisted_1$5, [vue.withDirectives(vue.createVNode("input", {
    type: "hidden",
    "class": "form-control",
    id: $props.id,
    "onUpdate:modelValue": _cache[1] || (_cache[1] = function ($event) {
      return $options.val = $event;
    }),
    name: $props.name,
    required: $props.required,
    readOnly: _ctx.readOnly
  }, null, 8
  /* PROPS */
  , ["id", "name", "required", "readOnly"]), [[vue.vModelText, $options.val]])]);
}

script$5.render = render$5;

var script$6 = {
  props: {
    errors: {
      required: false
    },
    item: {
      required: false,
      type: Object
    },
    value: {
      required: false
    }
  },
  data: function data() {
    return {
      type: 'number',
      label: false,
      name: null,
      required: false,
      placeholder: null,
      readOnly: false
    };
  },
  computed: {
    val: {
      get: function get() {
        return this.value;
      },
      set: function set(value) {
        this.$emit('input', value);
      }
    },
    getError: function getError() {
      return this.errors[this.item.name][0];
    },
    haveError: function haveError() {
      return this.errors && typeof this.errors[this.item.name] != 'undefined';
    }
  },
  created: function created() {
    this.id = this.type + '-' + Math.floor(Math.random() * 100000000);
    this.name = this.id;

    for (var key in this.item) {
      this[key] = this.item[key];
    }
  }
};

var _hoisted_1$6 = {
  "class": "form-group"
};
var _hoisted_2$5 = {
  key: 0,
  "class": "text-danger"
};
function render$6(_ctx, _cache, $props, $setup, $data, $options) {
  return vue.openBlock(), vue.createBlock("div", _hoisted_1$6, [$data.label ? (vue.openBlock(), vue.createBlock("label", {
    key: 0,
    "for": _ctx.id,
    "class": "text-capitalize"
  }, [vue.createTextVNode(vue.toDisplayString($data.label) + " ", 1
  /* TEXT */
  ), $data.required ? (vue.openBlock(), vue.createBlock("span", _hoisted_2$5, "*")) : vue.createCommentVNode("v-if", true)], 8
  /* PROPS */
  , ["for"])) : vue.createCommentVNode("v-if", true), vue.withDirectives(vue.createVNode("input", {
    type: "color",
    "class": ["form-control", {
      'is-invalid': $options.haveError
    }],
    id: _ctx.id,
    "onUpdate:modelValue": _cache[1] || (_cache[1] = function ($event) {
      return $options.val = $event;
    }),
    name: $data.name,
    placeholder: $data.placeholder,
    required: $data.required,
    readOnly: $data.readOnly
  }, null, 10
  /* CLASS, PROPS */
  , ["id", "name", "placeholder", "required", "readOnly"]), [[vue.vModelText, $options.val]]), $options.haveError ? (vue.openBlock(), vue.createBlock("span", {
    key: 1,
    id: _ctx.id + '-error',
    "class": "error invalid-feedback"
  }, vue.toDisplayString($options.getError), 9
  /* TEXT, PROPS */
  , ["id"])) : vue.createCommentVNode("v-if", true)]);
}

script$6.render = render$6;

var script$7 = {
  props: {
    error: {
      required: false
    },
    config: {
      required: false,
      type: Object
    },
    value: {
      required: false
    },
    name: {
      required: false
    },
    label: {
      required: false,
      "default": ' '
    },
    required: {
      required: false
    },
    readOnly: {
      required: false
    },
    placeholder: {
      required: false
    },
    id: {
      required: false
    }
  },
  data: function data() {
    return {};
  },
  computed: {
    val: {
      get: function get() {
        return this.value;
      },
      set: function set(value) {
        this.$emit('input', value);
      }
    },
    getError: function getError() {
      return this.error;
    },
    haveError: function haveError() {
      return this.error;
    }
  },
  created: function created() {
    //init les config particuliere
    if (this.config) {
      for (var key in this.config) {
        this.$set(this, key, this.config[key]);
      }
    }
  }
};

var _hoisted_1$7 = {
  "class": "form-group"
};
var _hoisted_2$6 = {
  key: 0,
  "class": "text-danger"
};
function render$7(_ctx, _cache, $props, $setup, $data, $options) {
  return vue.openBlock(), vue.createBlock("div", _hoisted_1$7, [vue.createVNode("label", {
    "for": $props.id,
    "class": "text-capitalize"
  }, [vue.createTextVNode(vue.toDisplayString($props.label) + " ", 1
  /* TEXT */
  ), $props.required ? (vue.openBlock(), vue.createBlock("span", _hoisted_2$6, "*")) : vue.createCommentVNode("v-if", true)], 8
  /* PROPS */
  , ["for"]), vue.withDirectives(vue.createVNode("input", {
    type: "email",
    "class": ["form-control", {
      'is-invalid': $options.haveError
    }],
    id: $props.id,
    "onUpdate:modelValue": _cache[1] || (_cache[1] = function ($event) {
      return $options.val = $event;
    }),
    name: $props.name,
    placeholder: $props.placeholder,
    required: $props.required,
    readOnly: $props.readOnly
  }, null, 10
  /* CLASS, PROPS */
  , ["id", "name", "placeholder", "required", "readOnly"]), [[vue.vModelText, $options.val]]), $options.haveError ? (vue.openBlock(), vue.createBlock("span", {
    key: 0,
    id: $props.id + '-error',
    "class": "error invalid-feedback"
  }, vue.toDisplayString($options.getError), 9
  /* TEXT, PROPS */
  , ["id"])) : vue.createCommentVNode("v-if", true)]);
}

script$7.render = render$7;

var script$8 = {
  props: {
    errors: {
      required: false
    },
    item: {
      required: false,
      type: Object
    },
    value: {
      required: false
    }
  },
  data: function data() {
    return {
      type: 'dateTime',
      label: false,
      name: null,
      required: false,
      readOnly: false,
      timePicker: {
        enableTime: true,
        noCalendar: true,
        dateFormat: "H:i",
        defaultDate: "13:45",
        "static": true,
        time_24hr: true
      }
    };
  },
  computed: {
    val: {
      get: function get() {
        return this.value;
      },
      set: function set(value) {
        this.$emit('input', value);
      }
    },
    getError: function getError() {
      return this.errors[this.item.name][0];
    },
    haveError: function haveError() {
      return this.errors && typeof this.errors[this.item.name] != 'undefined';
    }
  },
  created: function created() {
    this.id = this.type + '-' + Math.floor(Math.random() * 100000000);
    this.name = this.id;

    for (var key in this.item) {
      this[key] = this.item[key];
    }
  }
};

var _hoisted_1$8 = {
  "class": "form-group"
};
var _hoisted_2$7 = {
  key: 0,
  "class": "text-danger"
};
function render$8(_ctx, _cache, $props, $setup, $data, $options) {
  var _component_flat_pickr = vue.resolveComponent("flat-pickr");

  return vue.openBlock(), vue.createBlock("div", _hoisted_1$8, [$data.label ? (vue.openBlock(), vue.createBlock("label", {
    key: 0,
    "for": _ctx.id,
    "class": "text-capitalize"
  }, [vue.createTextVNode(vue.toDisplayString($data.label) + " ", 1
  /* TEXT */
  ), $data.required ? (vue.openBlock(), vue.createBlock("span", _hoisted_2$7, "*")) : vue.createCommentVNode("v-if", true)], 8
  /* PROPS */
  , ["for"])) : vue.createCommentVNode("v-if", true), vue.createCommentVNode("<input type=\"text\" class=\"form-control\" :id=\"id\" v-model=\"val\" :name=\"name\" :class=\"{'is-invalid':haveError}\" :placeholder=\"placeholder\" :required=\"required\" :readOnly=\"readOnly\">"), vue.createVNode(_component_flat_pickr, {
    "class": "form-control",
    config: $data.timePicker,
    modelValue: $options.val,
    "onUpdate:modelValue": _cache[1] || (_cache[1] = function ($event) {
      return $options.val = $event;
    })
  }, null, 8
  /* PROPS */
  , ["config", "modelValue"]), $options.haveError ? (vue.openBlock(), vue.createBlock("span", {
    key: 1,
    id: _ctx.id + '-error',
    "class": "error invalid-feedback"
  }, vue.toDisplayString($options.getError), 9
  /* TEXT, PROPS */
  , ["id"])) : vue.createCommentVNode("v-if", true)]);
}

script$8.render = render$8;

var script$9 = {
  props: {
    error: {
      required: false
    },
    config: {
      required: false,
      type: Object
    },
    value: {
      required: false
    },
    name: {
      required: false
    },
    label: {
      required: false,
      "default": ' '
    },
    required: {
      required: false
    },
    readOnly: {
      required: false
    },
    id: {
      required: false
    }
  },
  data: function data() {
    return {
      timePicker: {
        enableTime: false,
        dateFormat: "Y-m-d",
        altInput: true,
        altFormat: "d/m/Y",
        defaultDate: moment().format('YYYY-MM-DD HH:mm:ss')
      }
    };
  },
  computed: {
    getFormatedDate: function getFormatedDate() {
      return moment(this.val, 'YYYY-MM-DD HH:mm:ss').format('DD/MM/YYYY');
    },
    val: {
      get: function get() {
        return this.value;
      },
      set: function set(value) {
        this.$emit('input', value);
      }
    },
    getError: function getError() {
      return this.error;
    },
    haveError: function haveError() {
      return this.error;
    }
  },
  created: function created() {
    //init les config particuliere
    if (this.config) {
      for (var key in this.config) {
        this.$set(this, key, this.config[key]);
      }
    } //donne le default date au model (si pas modif ,il ne remontrait pas dans le v-model)


    if (typeof this.value == 'undefined') {
      if (this.timePicker.defaultDate) {
        this.$set(this, 'val', this.timePicker.defaultDate);
      }
    }
  }
};

var _hoisted_1$9 = {
  "class": "form-group"
};
var _hoisted_2$8 = {
  key: 0,
  "class": "text-danger"
};
function render$9(_ctx, _cache, $props, $setup, $data, $options) {
  var _component_flat_pickr = vue.resolveComponent("flat-pickr");

  return vue.openBlock(), vue.createBlock("div", _hoisted_1$9, [$props.label ? (vue.openBlock(), vue.createBlock("label", {
    key: 0,
    "for": $props.id,
    "class": "text-capitalize"
  }, [vue.createTextVNode(vue.toDisplayString($props.label) + " ", 1
  /* TEXT */
  ), $props.required ? (vue.openBlock(), vue.createBlock("span", _hoisted_2$8, "*")) : vue.createCommentVNode("v-if", true)], 8
  /* PROPS */
  , ["for"])) : vue.createCommentVNode("v-if", true), $props.readOnly ? (vue.openBlock(), vue.createBlock("input", {
    key: 1,
    type: "text",
    "class": ["form-control", {
      'is-invalid': $options.haveError
    }],
    id: $props.id,
    value: $options.getFormatedDate,
    name: $props.name,
    required: $props.required,
    readOnly: $props.readOnly
  }, null, 10
  /* CLASS, PROPS */
  , ["id", "value", "name", "required", "readOnly"])) : (vue.openBlock(), vue.createBlock(_component_flat_pickr, {
    key: 2,
    "class": ["form-control", {
      'is-invalid': $options.haveError
    }],
    id: $props.id,
    name: $props.name,
    config: $data.timePicker,
    readOnly: $props.readOnly,
    required: $props.required,
    modelValue: $options.val,
    "onUpdate:modelValue": _cache[1] || (_cache[1] = function ($event) {
      return $options.val = $event;
    })
  }, null, 8
  /* PROPS */
  , ["id", "name", "config", "readOnly", "class", "required", "modelValue"])), $options.haveError ? (vue.openBlock(), vue.createBlock("span", {
    key: 3,
    id: $props.id + '-error',
    "class": "error invalid-feedback"
  }, vue.toDisplayString($options.getError), 9
  /* TEXT, PROPS */
  , ["id"])) : vue.createCommentVNode("v-if", true)]);
}

script$9.render = render$9;

var script$a = {
  props: {
    error: {
      required: false
    },
    config: {
      required: false,
      type: Object
    },
    value: {
      required: false
    },
    name: {
      required: false
    },
    label: {
      required: false,
      "default": ' '
    },
    required: {
      required: false
    },
    readOnly: {
      required: false
    },
    placeholder: {
      required: false
    },
    id: {
      required: false
    }
  },
  data: function data() {
    return {
      typeInput: 'password',
      enableSeePassword: true
    };
  },
  computed: {
    val: {
      get: function get() {
        return this.value;
      },
      set: function set(value) {
        this.$emit('input', value);
      }
    },
    getError: function getError() {
      return this.error;
    },
    haveError: function haveError() {
      return this.error;
    }
  },
  created: function created() {
    //init les config particuliere
    if (this.config) {
      for (var key in this.config) {
        this.$set(this, key, this.config[key]);
      }
    }
  },
  methods: {
    toggleSee: function toggleSee() {
      if (this.typeInput == 'text') {
        this.$set(this, 'typeInput', 'password');
      } else {
        this.$set(this, 'typeInput', 'text');
      }
    }
  }
};

var _hoisted_1$a = {
  "class": "form-group"
};
var _hoisted_2$9 = {
  key: 0,
  "class": "text-danger"
};
var _hoisted_3$2 = {
  "class": "input-group mb-2"
};
var _hoisted_4 = {
  key: 0,
  "class": "input-group-append"
};
var _hoisted_5 = {
  key: 0,
  "class": "fas fa-eye"
};
var _hoisted_6 = {
  key: 1,
  "class": "fas fa-eye-slash"
};
function render$a(_ctx, _cache, $props, $setup, $data, $options) {
  return vue.openBlock(), vue.createBlock("div", _hoisted_1$a, [vue.createVNode("label", {
    "for": $props.id,
    "class": "text-capitalize"
  }, [vue.createTextVNode(vue.toDisplayString($props.label) + " ", 1
  /* TEXT */
  ), $props.required ? (vue.openBlock(), vue.createBlock("span", _hoisted_2$9, "*")) : vue.createCommentVNode("v-if", true)], 8
  /* PROPS */
  , ["for"]), vue.createVNode("div", _hoisted_3$2, [vue.withDirectives(vue.createVNode("input", {
    type: $data.typeInput,
    "class": ["form-control", {
      'is-invalid': $options.haveError
    }],
    id: $props.id,
    "onUpdate:modelValue": _cache[1] || (_cache[1] = function ($event) {
      return $options.val = $event;
    }),
    name: $props.name,
    placeholder: $props.placeholder,
    required: $props.required,
    readOnly: $props.readOnly
  }, null, 10
  /* CLASS, PROPS */
  , ["type", "id", "name", "placeholder", "required", "readOnly"]), [[vue.vModelDynamic, $options.val]]), $data.enableSeePassword ? (vue.openBlock(), vue.createBlock("div", _hoisted_4, [vue.createVNode("div", {
    "class": "input-group-text",
    onClick: _cache[2] || (_cache[2] = function () {
      return $options.toggleSee && $options.toggleSee.apply($options, arguments);
    })
  }, [$data.typeInput == 'text' ? (vue.openBlock(), vue.createBlock("i", _hoisted_5)) : (vue.openBlock(), vue.createBlock("i", _hoisted_6))])])) : vue.createCommentVNode("v-if", true)]), $options.haveError ? (vue.openBlock(), vue.createBlock("span", {
    key: 0,
    id: $props.id + '-error',
    "class": "error invalid-feedback",
    style: {
      "display": "block"
    }
  }, vue.toDisplayString($options.getError), 9
  /* TEXT, PROPS */
  , ["id"])) : vue.createCommentVNode("v-if", true)]);
}

script$a.render = render$a;

var script$b = {
  props: ['form', 'value', 'errors'],
  components: {
    VText: script,
    VSelect: script$1,
    VCheckbox: script$2,
    VNumber: script$4,
    VHidden: script$5,
    VRadio: script$3,
    VColor: script$6,
    VEmail: script$7,
    VDateTime: script$8,
    VDate: script$9,
    VPassword: script$a
  },
  methods: {
    isEnabled: function isEnabled(part) {
      if (typeof part.conditions == 'undefined') {
        return true;
      }

      if (typeof part.conditions == 'function') {
        var funct = part.conditions.bind(this);
        return funct(this.value);
      }

      return part.conditions;
    },
    getError: function getError(item) {
      if (!this.errors || !item.name) {
        return false;
      }

      if (this.errors[item.name]) {
        if (Array.isArray(this.errors[item.name])) {
          return this.errors[item.name][0];
        } else {
          return this.errors[item.name];
        }
      } else {
        return false;
      }
    }
  }
};

var _hoisted_1$b = {
  "class": "container-fluid"
};
var _hoisted_2$a = {
  "class": "row d-flex"
};
var _hoisted_3$3 = {
  key: 0,
  "class": "px-3 py-1",
  style: {
    "flex": "1"
  }
};
function render$b(_ctx, _cache, $props, $setup, $data, $options) {
  return vue.openBlock(), vue.createBlock("div", _hoisted_1$b, [$options.isEnabled(_ctx.part) ? (vue.openBlock(true), vue.createBlock(vue.Fragment, {
    key: 0
  }, vue.renderList($props.form, function (part) {
    return vue.openBlock(), vue.createBlock("div", _hoisted_2$a, [$options.isEnabled(_ctx.item) ? (vue.openBlock(true), vue.createBlock(vue.Fragment, {
      key: 0
    }, vue.renderList(part.fields, function (item) {
      return vue.openBlock(), vue.createBlock(vue.Fragment, null, [item.type && item.type != 'hidden' ? (vue.openBlock(), vue.createBlock("div", _hoisted_3$3, [item.type ? (vue.openBlock(), vue.createBlock(vue.resolveDynamicComponent('v-' + item.type), {
        key: 0,
        modelValue: $props.value[item.name],
        "onUpdate:modelValue": function onUpdateModelValue($event) {
          return $props.value[item.name] = $event;
        },
        name: item.name,
        id: item.id,
        label: item.label,
        error: $options.getError(item),
        required: item.required,
        type: item.type,
        placeholder: item.placeholder,
        readOnly: item.readOnly,
        empty: item.empty,
        options: item.options,
        config: item.config,
        style: {
          "min-width": "200px",
          "max-width": "400px"
        }
      }, null, 8
      /* PROPS */
      , ["modelValue", "onUpdate:modelValue", "name", "id", "label", "error", "required", "type", "placeholder", "readOnly", "empty", "options", "config"])) : vue.createCommentVNode("v-if", true)])) : vue.createCommentVNode("v-if", true), vue.createCommentVNode("<template v-else >"), vue.createCommentVNode("<component v-if=\"value && typeof value[item.name] != 'undefined'\" :is=\"'v-'+item.type\" v-model=\"value[item.name]\" :item=\"item\" :errors=\"errors\"\"></component>"), vue.createCommentVNode("<component v-else :is=\"'v-'+item.type\" :item=\"item\" :errors=\"errors\" ></component>"), vue.createCommentVNode("</template>")], 64
      /* STABLE_FRAGMENT */
      );
    }), 256
    /* UNKEYED_FRAGMENT */
    )) : vue.createCommentVNode("v-if", true)]);
  }), 256
  /* UNKEYED_FRAGMENT */
  )) : vue.createCommentVNode("v-if", true)]);
}

script$b.render = render$b;

var index = {
  install: function install(Vue, options) {
    Vue.component('form-part', script$b);
  }
};

module.exports = index;
